## Hardware design for BBC micro:bit V2

This repository contains the schematics and bill of materials for the BBC micro:bit V2

## Technical documentation for the BBC micro:bit

The main technical documentation for the BBC micro:bit is located at the [micro:bit Tech Site](https://tech.microbit.org/).
The site will provide your information on how the micro:bit works, a reference-design based on the micro:bit, as well as a detailed overview of
the schematic contained in this repository.

* [Overview of the hardware](https://tech.microbit.org/hardware/)
* [Walk-through of the schematic](https://tech.microbit.org/hardware/schematic/)
* [V2 board test points](https://tech.microbit.org/hardware/schematic/#test-point-map)
* [A reference-design based on the micro:bit](https://tech.microbit.org/hardware/reference-design/)
which includes layout and gerbers and is based on a module for easy fabrication. **Please note that this is currently not available for micro:bit V2.**

### Licensing
These files are subject to copyright, and are licensed to you according to certain conditions that you must adhere to if you wish to do anything which
means redistributing them in whole or part, including derived versions.

The copyright holder is the Micro:bit Educational Foundation.

These are made available under the terms of the [Attribution-ShareAlike 4.0 International (CC BY-SA 4.0)](https://creativecommons.org/licenses/by-sa/4.0/).

This means that:

* This is not a transfer of copyright. This license means that you, and anyone else who adheres to it, may use the licensed materials
  in ways which copyright law normally prevents you from doing—provided
  you don’t breach the terms.
* You may incorporate these files into your own products, commercial or not. You must distribute your contributions under the same license
* You must properly credit the Micro:bit Educational Foundation as a copyright holder.
* You must include a link to the license.
* You must not misrepresent the origin of these files (for example by claiming
  that you created them when you did not).

Note that this only a brief summary: for the full licensing conditions, you
must read the [licence](https://github.com/microbit-foundation/microbit-v2-hardware/blob/main/LICENSE.md)

Trademarks (including the micro:bit logo) are licensed separately under different terms.

### Versions

There are three versions of the BBC micro:bit board that have been produced, V1.3, V1.5 and V2. 
V1.5 was created to address the end-of-life of the micro:bits motion.
* Schematic and Bill of Materials for the [V1.3](https://github.com/bbcmicrobit/hardware/tree/master/V1.3B)
* Schematic and Bill of Materials for [V1.5](https://github.com/bbcmicrobit/hardware/tree/master/V1.5)

### Code of Conduct

Trust, partnership, simplicity and passion are our core values we live and breathe in our daily work life and within our projects. Our open-source projects are no exception. We have an active community which spans the globe and we welcome and encourage participation and contributions to our projects by everyone. We work to foster a positive, open, inclusive and supportive environment and trust that our community respects the micro:bit code of conduct. Please see our [code of conduct](https://microbit.org/safeguarding/) which outlines our expectations for all those that participate in our community and details on how to report any concerns and what would happen should breaches occur.
